summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKaleb S. KEITHLEY <kkeithle@redhat.com>2017-08-22 10:23:39 -0400
committerShyamsundar Ranganathan <srangana@redhat.com>2017-08-24 12:52:06 +0000
commit795fbcf18f20e8adc5c5ef3cdfe313eb4650a231 (patch)
tree5a8909a690af6a932513728cfb4a25413005e238
parent93d56da29c28a2e0161bfb8a87bd2f72c4ef4db1 (diff)
packaging: use rdma-core(-devel) instead of ibverbs, rdmacm
Also disable rdma on armv7hl. Starting in Fedora 26 the rdma-core package replaces various (lib)ibverbs and (lib)rdmacm packages. Also apparently rdma never actually worked (even if ibverbs and rdmacm packages were built) for armv7hl. The new rdma-core excludes armv7hl. See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/WJHXQ3G6H7UMVERDCMUXBYDJTFABTGW3/ and https://bugzilla.redhat.com/show_bug.cgi?id=1483278 Even though rdma-core dates back to Fedora 26 this only makes the switch to rdma-core effective with Fedora 27 and later; rdma-core has Provides: (and Obsoletes:) for all the ibverbs and rdmacm packages which is why we haven't noticed this before now. Change-Id: I3cd4f2becb465569b2c8e5514d28c9adff534d26 BUG: 1483996 Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com> Reviewed-on: https://review.gluster.org/18089 Smoke: Gluster Build System <jenkins@build.gluster.org> CentOS-regression: Gluster Build System <jenkins@build.gluster.org> Reviewed-by: Niels de Vos <ndevos@redhat.com>
-rw-r--r--glusterfs.spec.in9
1 files changed, 8 insertions, 1 deletions
diff --git a/glusterfs.spec.in b/glusterfs.spec.in
index fc7461e..b13c97f 100644
--- a/glusterfs.spec.in
+++ b/glusterfs.spec.in
@@ -26,7 +26,7 @@
%{?_without_rdma:%global _without_rdma --disable-ibverbs}
# No RDMA Support on s390(x)
-%ifarch s390 s390x
+%ifarch s390 s390x armv7hl
%global _without_rdma --disable-ibverbs
%endif
@@ -477,8 +477,12 @@ Obsoletes: python-gluster < 3.10
%package rdma
Summary: GlusterFS rdma support for ib-verbs
Group: Applications/File
+%if ( 0%{?fedora} && 0%{?fedora} > 26 )
+BuildRequires: rdma-core-devel
+%else
BuildRequires: libibverbs-devel
BuildRequires: librdmacm-devel >= 1.0.15
+%endif
Requires: %{name}%{?_isa} = %{version}-%{release}
%description rdma
@@ -1359,6 +1363,9 @@ exit 0
%endif
%changelog
+* Tue Aug 22 2017 Kaleb S. KEITHLEY <kkeithle@redhat.com>
+- libibverbs-devel, librdmacm-devel -> rdma-core-devel #1483996
+
* Thu Jul 20 2017 Aravinda VK <avishwan@redhat.com>
- Added new tool/binary to set the gfid2path xattr on files